## xdoclet.util
Class TypeConversionUtil

    java.lang.Object
      xdoclet.util.TypeConversionUtil

public final class TypeConversionUtil
extends Object

Version:
  $Revision: 1.5 $
Author:
  Ara Abrahamian (ara_e@email.com)
created
  Oct 15, 2001

Constructor Summary
`TypeConversionUtil()`

Method Summary
`static boolean` `stringToBoolean(String in, boolean defaultValue)` A utility method for converting a string to a boolean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeConversionUtil

    public TypeConversionUtil()

Method Detail

### stringToBoolean

    public static boolean stringToBoolean(String in,
                                          boolean defaultValue)

  A utility method for converting a string to a boolean. "yes", "no", "true", "false", "1", "0", "on" and "off" are valid values for a boolean string (ignoring case). If not one of then then the value of defaultValue parameter is returned.

  Parameters:
    `defaultValue` - Description of Parameter
    `in` - The String to convert
  Returns:
    true or false

http://xdoclet.sourceforge.net/